org.apache.ignite.internal.processors.igfs

## Class IgfsNoopProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.igfs.IgfsProcessorAdapter
    - - org.apache.ignite.internal.processors.igfs.IgfsNoopProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class IgfsNoopProcessor
    extends IgfsProcessorAdapter

Nop Ignite file system processor implementation.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`IgfsNoopProcessor(GridKernalContext ctx)` Constructor.

### Method Summary

Methods
`ComputeJob` `createJob(IgfsJob job, String igfsName, IgfsPath path, long start, long length, IgfsRecordResolver recRslv)` Create compute job for the given IGFS job.
`Collection<IpcServerEndpoint>` `endpoints(String name)` Gets server endpoints for particular IGFS.
`IgniteFileSystem` `igfs(String name)` Gets IGFS instance.
`Collection<IgniteFileSystem>` `igfss()` Gets all IGFS instances.
`void` `printMemoryStats()` Prints memory statistics (sizes of internal structures, etc.).

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectDiscoveryData, discoveryDataType, onDisconnected, onDiscoveryDataReceived, onKernalStart, onKernalStop, onReconnected, start, stop, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsNoopProcessor

    public IgfsNoopProcessor(GridKernalContext ctx)

Constructor.

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### printMemoryStats

    public void printMemoryStats()

Prints memory statistics (sizes of internal structures, etc.). NOTE: this method is for testing and profiling purposes only.

Specified by:
  `printMemoryStats` in interface `GridComponent`
Overrides:
  `printMemoryStats` in class `GridProcessorAdapter`

#### igfss

    public Collection<IgniteFileSystem> igfss()

Gets all IGFS instances.

Specified by:
  `igfss` in class `IgfsProcessorAdapter`
Returns:
  Collection of IGFS instances.

#### igfs

    @Nullable
    public IgniteFileSystem igfs(@Nullable
                                 String name)

Gets IGFS instance.

Specified by:
  `igfs` in class `IgfsProcessorAdapter`
Parameters:
  `name` - (Nullable) IGFS name.
Returns:
  IGFS instance.

#### endpoints

    public Collection<IpcServerEndpoint> endpoints(@Nullable
                                          String name)

Gets server endpoints for particular IGFS.

Specified by:
  `endpoints` in class `IgfsProcessorAdapter`
Parameters:
  `name` - IGFS name.
Returns:
  Collection of endpoints or `null` in case IGFS is not defined.

#### createJob

    @Nullable
    public ComputeJob createJob(IgfsJob job,
                                @Nullable
                                String igfsName,
                                IgfsPath path,
                                long start,
                                long length,
                                IgfsRecordResolver recRslv)

Create compute job for the given IGFS job.

Specified by:
  `createJob` in class `IgfsProcessorAdapter`
Parameters:
  `job` - IGFS job.
  `igfsName` - IGFS name.
  `path` - Path.
  `start` - Start position.
  `length` - Length.
  `recRslv` - Record resolver.
Returns:
  Compute job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016